--天墉城
--秦野

--脚本号
x101003_g_scriptId=101003

--事件交互入口
function x101003_OnDefaultEvent(scene, selfId, targetId)
	BeginEvent(scene)
	AddText(scene,"[43596b]無數天驕在此追名逐利，不知道你能否在其中生存[-]")
	
	AddNumText(scene,x101003_g_scriptId,"天驕戰",-1,0)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项
function x101003_OnEventRequest(scene, selfId, targetId, eventId, index)
	if index==0 then
		BeginEvent(scene)
		AddText(scene,"#{5602}")
		
		AddNumText(scene,x101003_g_scriptId,"我要參加",-1,10)
		AddNumText(scene,x101003_g_scriptId,"活動說明",-1,12)	
		AddNumText(scene,x101003_g_scriptId,"返回",-1,13)
			
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==10 then
		PvpEnroll(scene,selfId,targetId,1)
	elseif index==11 then

	elseif index==12 then

		BeginEvent(scene)
		AddText(scene,"#{5601}")
	 	AddNumText(scene,x101003_g_scriptId,"返回",-1,13)	
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==13 then
		BeginEvent(scene)
		AddText(scene,"#{5602}")
	
		AddNumText(scene,x101003_g_scriptId,"天驕戰",-1,0)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==14 then
		BeginEvent(scene)
		AddText(scene,"#{5602}")
		
		AddNumText(scene,x101003_g_scriptId,"我要參加",-1,10)
		AddNumText(scene,x101003_g_scriptId,"活動說明",-1,12)	
		AddNumText(scene,x101003_g_scriptId,"返回",-1,13)
			
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	end
end

function x101003_OnTriggerEvent(scene, selfId, targetId, stringInfo, index)
	if index==2 then
		BeginEvent(scene)
		AddText(scene,stringInfo)
		
		AddNumText(scene,x101003_g_scriptId,"返回",-1,14)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	end
end